package org.sinev.igor.ps.model;

/**
 * Interface for a real number element of a PS document.
 * 
 * @author Igor Sinev
 */
public interface IPSEReal extends IElement {
	void setValue(double v);
	
	/**
	 * Gets the value of an element.
	 * 
	 * @return element value.
	 */
	public double getValue();
}
