package org.sinev.igor.ps.model.impl;

import org.sinev.igor.ps.elementtype.ElementType;
import org.sinev.igor.ps.model.IDocument;
import org.sinev.igor.ps.model.IPSEUndefinedElement;

/**
 * One element of undefined type
 * 
 * @author Igor Sinev
 */
public class PSEUndefinedElement extends Element implements IPSEUndefinedElement {
	PSEUndefinedElement(String representation, IDocument d) {
		super(representation, d);
	}
	
	@Override
	public boolean isInterpretable() {
		return true;
	}
	
	public ElementType getType() {
		return ElementType.ANY_TYPE;
	}		
}
